Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class ScriptedDataSourceEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.DataSourceEventAdapter
          org.eclipse.birt.report.engine.api.script.eventadapter.ScriptedDataSourceEventAdapter

All Implemented Interfaces:
  IDataSourceEventHandler, IScriptedDataSourceEventHandler

    public class ScriptedDataSourceEventAdapter

extends DataSourceEventAdapter
implements IScriptedDataSourceEventHandler

Default (empty) implementation of the IScriptedDataSourceEventHandler interface

Constructor Summary
`ScriptedDataSourceEventAdapter()`

Method Summary
`void` | `close(IDataSourceInstance dataSource)` Handle the close event
`void` | `open(IDataSourceInstance dataSource)` Handle the open event

Methods inherited from class org.eclipse.birt.report.engine.api.script.eventadapter.DataSourceEventAdapter
`afterClose, afterOpen, beforeClose, beforeOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.eventhandler.IDataSourceEventHandler
`afterClose, afterOpen, beforeClose, beforeOpen`

Constructor Detail

### ScriptedDataSourceEventAdapter

    public ScriptedDataSourceEventAdapter()

Method Detail

### open

    public void open(IDataSourceInstance dataSource)
              throws ScriptException

  Description copied from interface: `IScriptedDataSourceEventHandler`
  Handle the open event

  Specified by:
    `open` in interface `IScriptedDataSourceEventHandler`
  Throws:
    `ScriptException`

### close

    public void close(IDataSourceInstance dataSource)
               throws ScriptException

  Description copied from interface: `IScriptedDataSourceEventHandler`
  Handle the close event

  Specified by:
    `close` in interface `IScriptedDataSourceEventHandler`
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.